Boostigo Developers

cURL Examples

Replace YOUR_API_KEY with your key. All three scripts are included in the integration ZIP under examples/curl/.

#Identify

curl --request GET \
  "https://api.boostigo.io/likee/user/1137852558" \
  --header "Authorization: Bearer YOUR_API_KEY" \
  --header "Accept: application/json"

#Recharge

curl --request POST \
  "https://api.boostigo.io/likee/recharge" \
  --header "Authorization: Bearer YOUR_API_KEY" \
  --header "Accept: application/json" \
  --header "Content-Type: application/json" \
  --data '{
    "likee_id": "1137852558",
    "likee_uid": "1278112264",
    "diamond": 5000,
    "amount": "95.00",
    "request_id": "ORDER-CLIENT-10001"
  }'

#Order status

curl --request GET \
  "https://api.boostigo.io/orders/BST-LKE-8F72A19X" \
  --header "Authorization: Bearer YOUR_API_KEY" \
  --header "Accept: application/json"

#Pretty-print with jq

curl -s "https://api.boostigo.io/orders/BST-LKE-8F72A19X" \
  -H "Authorization: Bearer YOUR_API_KEY" | jq .data.status